filters (2.55-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: do not strip during installation. (Closes: #870762)

  [ Marius Gavrilescu ]
  * Bump Standards-Version (no changes needed)

 -- Marius Gavrilescu <marius@ieval.ro>  Wed, 09 Aug 2017 18:05:00 +0300

filters (2.55-2) unstable; urgency=medium

  * Build-Depend on libfl-dev (Closes: #846423)
  * Bump Standards-Version to 3.9.8
  * Use hardening compilation options

 -- Marius Gavrilescu <marius@ieval.ro>  Thu, 08 Dec 2016 18:08:58 +0200

filters (2.55-1) unstable; urgency=medium

  * New maintainer (Closes: #768530)
  * Make package non-native
  * Add d/watch
  * Use git-buildpackage

  [ Joey Hess ]
  * Fix build warnings.
    Thanks, Marius Gavrilescu.
  * scramble: Fix missing free and improve error handling.
    Thanks, Marius Gavrilescu
  * A few other minor fixes.
  * Update urls.

 -- Marius Gavrilescu <marius@ieval.ro>  Mon, 14 Dec 2015 10:29:39 +0200

filters (2.54) unstable; urgency=medium

  * Fix UTF-8 handling in uniencode. Closes: #508003
    Thanks, Marius Gavrilescu.
  * Improve layout and build process.
    Thanks, Marius Gavrilescu.
  * Replace fread with getchar in nethackify.
    Thanks, Marius Gavrilescu.
  * Fix NAME section of manpage. Closes: #775035
    Thanks, Marius Gavrilescu.
  * Remove SAMPLES file for deterministic builds.
  * Makefile: Propagate input CFLAGS and LDFLAGS through to the compiler
    to allow eg, building with hardening.
    Thanks, Marius Gavrilescu.

 -- Joey Hess <id@joeyh.name>  Thu, 30 Jul 2015 14:33:57 -0400

filters (2.53) unstable; urgency=medium

  * Orphaned the Debian package.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Nov 2014 00:38:19 -0400

filters (2.52) unstable; urgency=medium

  * Rename lolcat to LOLCAT to avoid collision with a fine rainbow colored cat.
    Closes: #760910

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Sep 2014 10:04:03 -0400

filters (2.51) unstable; urgency=medium

  * Include lolcat in installation, which was missed by accident.
    Closes: #760842 Thanks, Jochen Sprickerhof

 -- Joey Hess <joeyh@debian.org>  Mon, 08 Sep 2014 08:56:28 -0400

filters (2.50) unstable; urgency=medium

  * Reorganize some code to support building with clang.
    Closes: #758450 Thanks, Alexander.

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2014 14:16:58 -0700

filters (2.49) unstable; urgency=low

  * scottish: Fix typo. Closes: #688905
  * lolcat: New filter.

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:48:11 -0400

filters (2.48) unstable; urgency=low

  * Mention that some filters support reading from input files.
    Closes: #569764

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Feb 2011 00:01:44 -0400

filters (2.47) unstable; urgency=low

  * Patch from Anssi Hannula to avoid warnings when
    compiling with -Werror=format-security.
  * scramble: New filter that scambles the inner letters of
    words. Contributed by Andrew J. Buehler.
  * Converted debian/copyright to machine parseable format.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Jul 2009 16:47:23 -0400

filters (2.46) unstable; urgency=low

  * fanboy: Improve docs and remove from SAMPLES. Closes: #496588

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Oct 2008 23:44:04 -0400

filters (2.45) unstable; urgency=low

  * Use debhelper v7; rules file minimisation to 3 lines.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:25:48 -0400

filters (2.44) unstable; urgency=low

  * Work around dpkg bug #476138. Closes: #475979
  * Use CC consistently.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Apr 2008 13:26:53 -0400

filters (2.43) unstable; urgency=low

  * Added the fanboy filter.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Oct 2007 04:58:44 -0400

filters (2.42) unstable; urgency=low

  * Moved from subversion to git.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 20:37:33 -0400

filters (2.41) unstable; urgency=low

  * pirate: Roll r's. Also, conjugate 'is' in present tense, and add some
    more phrases. Closes: #443213

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 14:26:41 -0400

filters (2.40) unstable; urgency=low

  * Update url to web page in README.
  * Add scottish filter by Adam Borowski. Closes: #436168

 -- Joey Hess <joeyh@debian.org>  Thu, 09 Aug 2007 17:19:14 -0700

filters (2.39) unstable; urgency=low

  * Add kenny filter. Closes: #317656

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Feb 2006 16:27:25 -0500

filters (2.38) unstable; urgency=low

  * Munged accented characters in man page.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:31:38 -0500

filters (2.37) unstable; urgency=low

  * Suggest bsdgames, which contains pig and rot13.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Sep 2005 23:36:38 -0400

filters (2.36) unstable; urgency=low

  * Impress all yer maties on talk like a pirate day with th' new priate
    filter, by Dougal Campbell, to be sure.
  * Retroactively spiced up th' changelog. Shiver me timbers! 

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Aug 2005 23:28:25 -0400

filters (2.35) unstable; urgency=low

  * Ad| nethackify filtcr. Closes: #317656
  * Add automatic webpage update gunk.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Aug 2005 22:24:29 -0400

filters (2.34) unstable; urgency=low

  * Add uniencode filter. Because υɳіϲоⅾе is fun.
  * Fix filters man page to escape hyphens. Because υɳіϲоⅾе is fun.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Nov 2004 13:37:51 -0500

filters (2.33) unstable; urgency=low

  * Better flex fixups; make sure to link with -lfl even if building
    indivitually, and move stuff that uses unput into %{ %} delimited blocks
    in rules section.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Apr 2003 15:06:25 -0400

filters (2.32) unstable; urgency=low

  * Deal with the new flex 2.5.31 as follows:
    - Add main and yywrap functions, though they were not needed before.
    - Call yyunput instead of unput macro, as the macro uses yytext_ptr,
      which flex undefes before the bottom set of functions are defined.
    Closes: #189040
  * Various other fixes to build without warnings.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Apr 2003 23:39:26 -0400

filters (2.31) unstable; urgency=low

  * censor: corrected spelling of pyvgbevf, Closes: #172976

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Feb 2003 14:03:18 -0500

filters (2.30) unstable; urgency=low

  * Falk Hueffner provided a patch to make kraut work on alpha.
    Closes: #169256

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Nov 2002 00:16:40 -0500

filters (2.29) unstable; urgency=low

  * Added certain German phrase to the censor filter. If Germans want to send
    me censored German phrases, I will be glad to continue adding them to this
    filter.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 13:35:51 -0500

filters (2.28) unstable; urgency=low

  * Fixed a typo in kraut.
  * Note in man page that it's a _bad_ German accent. Think 1940's 
    American propiganda movies. Closes: #169163

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 11:52:48 -0500

filters (2.27) unstable; urgency=low

  * Added a censor filter.
  * Added a spammer filter which generates spamassassin-triggering
    pseudo-spam from input.
  * Updated eleet filter (which should perhaps be renamed to just 'leet')
    to the <ahem> standards of irc circa mid 2002.
  * Make jibberish filter only run text through 3 to 8 of the other filters.
  * Various improvements.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Nov 2002 16:37:12 -0500

filters (2.26) unstable; urgency=low

  * Don't use dh_installmanpages.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 18:27:53 -0400

filters (2.25) unstable; urgency=low

  * Fixed debhelper build-dep.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 22:41:07 -0400

filters (2.24) unstable; urgency=low

  * debhelper v4
  * DEB_BUILD_OPTS support

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 16:45:49 -0400

filters (2.23) unstable; urgency=low

  * Patch from Seneca <seneca-cunningham@rogers.com> to correct newspeak's
    handling of double quotes preeceeded by punctuation and followed by a
    blank line. Closes: #146769

 -- Joey Hess <joeyh@debian.org>  Sun, 19 May 2002 19:52:06 -0400

filters (2.22) unstable; urgency=low

  * Something I already fixed in CVS, Closes: #124617
  * debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Dec 2001 22:20:35 -0500

filters (2.21) unstable; urgency=low

  * Wrote elmer fudd filter in perl, replacment for a long-removed
    lex filter of uncertian authorship and copyright. Closes: #109157

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Oct 2001 19:32:00 -0400

filters (2.20) unstable; urgency=low

  * Woo hoo! JWZ has placed newspeak under a BSD-ish license, so it moves
    in from filters-nonfree. Which is now empty, and will be removed.
  * AdDed StudLy cAps FiltEr bY NiCk PHillIps <nwp@lemon-computing.com>.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Aug 2001 20:38:49 -0400

filters (2.19) unstable; urgency=low

  * Fixed jibberish makesamples run to not use installed versions of the
    filters.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Jul 2001 23:44:45 -0400

filters (2.18) unstable; urgency=low

  * ky00te is free! That leaves only newspeak in filters-nonfree.
  * A big thanks to Edward Betts for contacting authors.
  * Fixed echo -n bashism in SAMPLES construction.
  * rasterman: Added flim!

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Jun 2001 18:51:39 -0400

filters (2.17) unstable; urgency=low

  * ken: WAP fixes.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jun 2001 16:35:38 -0400

filters (2.16) unstable; urgency=low

  * ken is now free.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jun 2001 14:58:58 -0400

filters (2.15) unstable; urgency=low

  * Rasterized jubberish, Closes: #81901

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jan 2001 23:48:00 -0800

filters (2.14) unstable; urgency=low

  * hahaha. addde a rasterman filter. (nto just "raster" as i woryr about
      namespaec pollution.)

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Nov 2000 20:00:28 -0800

filters (2.13) unstable; urgency=low

  * cockney, jive, and nyc filters are now GPL'd, moved from -nonfree
    package.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Nov 2000 19:04:08 -0800

filters (2.12) unstable; urgency=low

  * Use debhelper v2.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Sep 2000 15:06:11 -0700

filters (2.11) unstable; urgency=low

  * Corrected the man page, which was misrepresenting me as the author of
    some programs I didn't write.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Aug 2000 22:58:02 -0700

filters (2.10) unstable; urgency=low

  * upside-down: 5 and 2 are the best available upside-down versions of
    themselves. I had it backwards.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jun 2000 16:23:59 -0700

filters (2.9) unstable; urgency=low

  * Fixed "burk" to "bork" globally. Closes: #52589

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Dec 1999 14:14:41 -0800

filters (2.8) unstable; urgency=low

  * makesample.sh is now careful to make sure each program is executable
    before running it. Closes: #50985
  * I also set -e the script.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Nov 1999 14:09:43 -0800

filters (2.7) unstable; urgency=low

  * A much better synopsis.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Nov 1999 00:06:57 -0800

filters (2.6) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 1999 21:25:47 -0700

filters (2.5) unstable; urgency=low

  * eleet: w -> \/\/
  * Spelling correction patch from Edward Betts <edward@debian.org>
    (closes: #38850)

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Jun 1999 13:03:02 -0700

filters (2.4) unstable; urgency=low

  * chef: say "knooeeng" for "knowing", and in general say "oo" for "ow".

 -- Joey Hess <joeyh@debian.org>  Wed, 19 May 1999 17:20:07 -0700

filters (2.3) unstable; urgency=low

  * Added kraut filter (free version found).

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Mar 1999 15:52:05 -0800

filters (2.2) unstable; urgency=low

  * fixed Makefile to add . to PATH before running makesample.sh, because it
    called jibberish, which looks only in /usr/games for the filters, and if
    you're building filters w/o the package installed, they won't be there
    and the build will fail. Whew! (closes: #33758)

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Feb 1999 00:17:24 -0800

filters (2.1) unstable; urgency=low

  'umop ap!sdn fxaf sujnf `77am y)!ym `jaf7!j umop ap!sdn pappe *  

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Feb 1999 18:22:43 -0800

filters (2.0) unstable; urgency=low

  * Re-wrote the eleet, chef, b1ff filters in perl, dropped all the rest
    (except jethro); they will be in filters-nonfree now. This was done
    due to copyright problems in the original filters.
  * Fixes important bug #32333

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Jan 1999 13:13:17 -0800

filters (1.8) unstable; urgency=low

  * Added jibberish meta-filter by Raul Miller <rdm@test.legislate.com>.
    (#24677)

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Dec 1998 15:18:09 -0800

filters (1.7) unstable; urgency=low

  * Renamed mb to marc-barrett to eliminate namespace pollution.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Apr 1998 00:23:38 -0700

filters (1.6) unstable; urgency=low

  * 4dd3d 3l33t f1lt3r, th4nk5 t0 j3r3my w0rr3ll5 <jworrell@priacc.com>.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Mar 1998 11:41:29 -0800

filters (1.5) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 13:38:55 -0800

filters (1.4) unstable; urgency=low

  * Use debhelper.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Feb 1998 19:38:35 -0800

filters (1.3) unstable; urgency=low

  * Libc6.
  * Added man pages. #11318

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Jul 1997 13:31:07 -0400

filters (1.2) frozen unstable; urgency=low

  * Fixed bug #8329 (buck segfaulted if it encountered C[aou] or R[aeiou] in
    input.)
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@debian.org>  Tue, 8 Apr 1997 20:59:12 -0400

filters (1.1) unstable; urgency=low

  * Changed version number to 1.1, because there was some confusion if this
    was a debian-only package. It is, so I've removed the debian revision
    number.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Dec 1996 20:35:51 -0500

filters (1.0-2) unstable; urgency=low

  * New email address.
  * Use debmake.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Dec 1996 15:40:55 -0500

filters (1.0-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Sep 1996 00:55:40 -0400
